Xapian: API Documentation: Xapian::DatabaseVersionError Class Reference

Public Member Functions | List of all members
Xapian::DatabaseVersionError Class Reference

DatabaseVersionError indicates that a database is in an unsupported format. More...

Inheritance diagram for Xapian::DatabaseVersionError:
[legend]

## Public Member Functions
| DatabaseVersionError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor. More...
| DatabaseVersionError (const std::string &msg_, int errno_)
| Construct from message and errno value. More...
Public Member Functions inherited from Xapian::DatabaseOpeningError
| DatabaseOpeningError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor. More...
| DatabaseOpeningError (const std::string &msg_, int errno_)
| Construct from message and errno value. More...
Public Member Functions inherited from Xapian::DatabaseError
| DatabaseError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor. More...
| DatabaseError (const std::string &msg_, int errno_)
| Construct from message and errno value. More...
Public Member Functions inherited from Xapian::Error
const char * | get_type () const
| The type of this error (e.g. "DocNotFoundError".)
const std::string & | get_msg () const
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const
| Optional context information. More...
const char * | get_error_string () const
| Returns any system error string associated with this exception. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

DatabaseVersionError indicates that a database is in an unsupported format.

From time to time, new versions of Xapian will require the database format to be changed, to allow new information to be stored or new optimisations to be performed. Backwards compatibility will sometimes be maintained, so that new versions of Xapian can open old databases, but in some cases Xapian will be unable to open a database because it is in too old (or new) a format. This can be resolved either be upgrading or downgrading the version of Xapian in use, or by rebuilding the database from scratch with the current version of Xapian.

## Constructor & Destructor Documentation

## § DatabaseVersionError() [1/2]

Xapian::DatabaseVersionError::DatabaseVersionError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0`
| ) |  |
| inlineexplicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

## § DatabaseVersionError() [2/2]

Xapian::DatabaseVersionError::DatabaseVersionError | ( | const std::string & | msg_,
|  | int | errno_
| ) |  |
| inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h